﻿$NOLGPO = New-Object System.Collections.ArrayList
$GPOs = Get-GPO -All  
Write-Host "Es gibt '$($GPOs.Count)' Gruppenrichtlinienobjekte" -ForegroundColor Magenta

ForEach ($gpo  in $GPOs) { 
        Write-Host "Prüfe GPO '$($gpo.DisplayName)' auf eine Verlinkung"
        [xml]$GPOXMLReport = $gpo | Get-GPOReport -ReportType xml
        if ($null -eq $GPOXMLReport.GPO.LinksTo) { 
            $NOLGPO += $GPO
        }
    }
    if (($NOLGPO).Count -ne 0) {
        Write-Host "Folgende Gruppenrichtlinienobjekte sind ohne Verlinkung auf eine OU:" -ForegroundColor Cyan
        return $NOLGPO.DisplayName
    }
    else {
        return Write-Host "Es gibt keine Gruppenrichtlinienobjekte ohne Verlinkung"
    }